com.pdfunit.validators

## Class AllSignaturesValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.AllSignaturesValidator

-     @DoNotObfuscate
      public final class AllSignaturesValidator
      extends com.pdfunit.validators.AbstractValidator

  This validator provides methods which belong to all existing signatures of a PDF document.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AllSignaturesValidator(DocumentValidator documentValidator)` Creating a validator for a single field of an acro form in PDF documents.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AllSignaturesValidator` | `allSigned()`
    `AllSignaturesValidator` | `allUnsigned()`
    `void` | `hasNumberOfSignatures(int expectedNumber)` This method verifies the given number of expected signatures.
    `AllSignaturesValidator` | `hasSignatureFields()` This method verifies that reason of a signature is the same as given parameter.
    `void` | `isSigned()` This method checks, that the current document contains at least one signature.
    `AllSignaturesValidator` | `isSignedBy(java.lang.String expectedName)`

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllSignaturesValidator

          protected AllSignaturesValidator(DocumentValidator documentValidator)

      Creating a validator for a single field of an acro form in PDF documents.

  - ### Method Detail

    - #### allSigned

          public AllSignaturesValidator allSigned()

    - #### allUnsigned

          public AllSignaturesValidator allUnsigned()

    - #### hasNumberOfSignatures

          @Guarded
          public void hasNumberOfSignatures(int expectedNumber)

      This method verifies the given number of expected signatures.

    - #### hasSignatureFields

          public AllSignaturesValidator hasSignatureFields()

      This method verifies that reason of a signature is the same as given parameter.

    - #### isSigned

          public void isSigned()

      This method checks, that the current document contains at least one signature.

    - #### isSignedBy

          public AllSignaturesValidator isSignedBy(java.lang.String expectedName)

Copyright (C) PDFUnit.com. See here for license.